跳转到主要内容
POST
/
v1
/
video
/
generations
创建视频编辑任务
curl --request POST \
  --url https://www.anyfast.ai/v1/video/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "happyhorse-1.0-video-edit",
  "input": {
    "prompt": "让视频中的角色穿上图片中的条纹毛衣",
    "media": [
      {
        "type": "video",
        "url": "https://example.com/source.mp4"
      },
      {
        "type": "reference_image",
        "url": "https://example.com/cloth.webp"
      }
    ]
  },
  "parameters": {
    "resolution": "720P",
    "watermark": false,
    "seed": 1073741823
  }
}
'
{
  "id": "asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya",
  "task_id": "asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya",
  "object": "video",
  "model": "happyhorse-1.0-video-edit",
  "status": "queued",
  "progress": 0,
  "created_at": 1777343862
}

Documentation Index

Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
model
enum<string>
必填

模型 ID。

可用选项:
happyhorse-1.0-video-edit
示例:

"happyhorse-1.0-video-edit"

input
object
必填
parameters
object

生成参数(DashScope 原生风格)。

响应

任务创建成功

id
string
示例:

"asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya"

task_id
string
示例:

"asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya"

object
string
示例:

"video"

model
string
示例:

"happyhorse-1.0-video-edit"

status
string
示例:

"queued"

progress
integer
示例:

0

created_at
integer
示例:

1777343862